> For the complete documentation index, see [llms.txt](https://docs.ticko.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ticko.xyz/api-documentation/account/websocket/order.md).

# Order

Name of channel: `order`

Description: Pushes order state changes for an address.

URL path: `/v1/public/account`

Authentication: No auth required

Request parameters:

| Parameter | Type   | Required | Description      |
| --------- | ------ | -------- | ---------------- |
| `channel` | string | Yes      | `order`          |
| `address` | string | Yes      | Account address. |

Subscription acknowledgement fields:

| Field     | Type    | Description                                                             |
| --------- | ------- | ----------------------------------------------------------------------- |
| `id`      | string  | Echoes the request `id`. String, max 32 characters, `[A-Za-z0-9]` only. |
| `op`      | string  | `subscribe` or `unsubscribe`.                                           |
| `success` | boolean | Whether at least one subscription succeeded.                            |
| `args`    | array   | Successful subscription args. Present on success.                       |
| `code`    | string  | Error code. Present on failure.                                         |
| `msg`     | string  | Error message. Present on failure.                                      |

Push data parameters:

| Field | Type          | Description                       |
| ----- | ------------- | --------------------------------- |
| `i`   | string        | Order ID.                         |
| `k`   | string\|null  | Client order ID.                  |
| `a`   | string        | Account address.                  |
| `b`   | integer       | Created timestamp.                |
| `u`   | integer       | Updated timestamp.                |
| `s`   | integer       | Symbol ID.                        |
| `d`   | boolean       | `true` for buy, `false` for sell. |
| `o`   | string        | Order type.                       |
| `g`   | string\|null  | Algorithmic order type.           |
| `f`   | string\|null  | Time in force.                    |
| `q`   | string\|null  | Quantity.                         |
| `p`   | string\|null  | Price.                            |
| `z`   | string\|null  | Price match mode.                 |
| `j`   | string\|null  | Slippage setting.                 |
| `w`   | string\|null  | Position side.                    |
| `m`   | string\|null  | Margin mode.                      |
| `lv`  | integer\|null | Leverage.                         |
| `y`   | string\|null  | Market order type.                |
| `n`   | string        | STP mode.                         |
| `r`   | array\|null   | Order flags.                      |
| `e`   | string        | Order state.                      |
| `fq`  | string        | Cumulative filled quantity.       |
| `fa`  | string        | Cumulative filled amount.         |
| `rq`  | string        | Remaining quantity.               |
| `oq`  | string        | Original quantity.                |
| `cf`  | string        | Cumulative fee.                   |
| `os`  | string\|null  | Order source.                     |
| `cd`  | object\|null  | Conditional order parameters.     |
| `t`   | object\|null  | TPSL parameters.                  |
| `l`   | string\|null  | Parent order ID.                  |
| `x`   | string        | Transaction hash.                 |

Request example:

```json
{
  "id": "subOrder",
  "op": "subscribe",
  "args": [
    { "channel": "order", "address": "0xabc000000000000000000000000000000000def0" }
  ]
}
```

Response example, success:

```json
{
  "id": "subOrder",
  "op": "subscribe",
  "success": true,
  "args": [
    { "channel": "order", "address": "0xabc000000000000000000000000000000000def0" }
  ]
}
```

Response example, failure:

```json
{
  "id": "subOrder",
  "op": "subscribe",
  "success": false,
  "code": "10006",
  "msg": "Invalid parameter format"
}
```

Push data example:

```json
{
  "arg": { "channel": "order", "address": "0xabc000000000000000000000000000000000def0" },
  "finality": "final",
  "data": {
    "i": "144115188075855872",
    "k": null,
    "a": "0xabc000000000000000000000000000000000def0",
    "b": 1719500000000,
    "u": 1719500000000,
    "s": 100001,
    "d": true,
    "o": "limit",
    "g": null,
    "f": "gtc",
    "q": "1.0",
    "p": "67500.00",
    "z": null,
    "j": null,
    "w": "both",
    "m": "cross",
    "lv": 10,
    "y": null,
    "n": "cancel_maker",
    "r": null,
    "e": "open",
    "fq": "0",
    "fa": "0",
    "rq": "1.0",
    "oq": "1.0",
    "cf": "0",
    "os": null,
    "cd": null,
    "t": null,
    "l": null,
    "x": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
  },
  "ts": 1719500000000
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ticko.xyz/api-documentation/account/websocket/order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
